#ifndef GENERATED_ASN1SCC_DATAVIEW_H
#define GENERATED_ASN1SCC_DATAVIEW_H
/*
Code automatically generated by asn1scc tool
*/
#include "taste-types.h"
#include "asn1crt.h"

#ifdef  __cplusplus
extern "C" {
#endif



typedef double MyReal;

#define MyReal_REQUIRED_BYTES_FOR_ENCODING       13 
#define MyReal_REQUIRED_BITS_FOR_ENCODING        104
#define MyReal_REQUIRED_BYTES_FOR_ACN_ENCODING   13 
#define MyReal_REQUIRED_BITS_FOR_ACN_ENCODING    104
#define MyReal_REQUIRED_BYTES_FOR_XER_ENCODING   67

void MyReal_Initialize(MyReal* pVal);
flag MyReal_IsConstraintValid(const MyReal* val, int* pErrCode);
#ifndef ERR_MyReal 
#define ERR_MyReal		1001  /*(0.00000000000000000000E+000 .. 1.00000000000000000000E+002)*/
#endif

typedef enum {
    cA = 0,
    cB = 1
} MyComp;

#define MyComp_REQUIRED_BYTES_FOR_ENCODING       1 
#define MyComp_REQUIRED_BITS_FOR_ENCODING        1
#define MyComp_REQUIRED_BYTES_FOR_ACN_ENCODING   1 
#define MyComp_REQUIRED_BITS_FOR_ACN_ENCODING    1
#define MyComp_REQUIRED_BYTES_FOR_XER_ENCODING   24

void MyComp_Initialize(MyComp* pVal);
flag MyComp_IsConstraintValid(const MyComp* val, int* pErrCode);
#ifndef ERR_MyComp_unknown_enumeration_value 
#define ERR_MyComp_unknown_enumeration_value		1003  /**/
#endif
#ifndef ERR_MyComp 
#define ERR_MyComp		1002  /**/
#endif

typedef struct {
    MyComp comp;
    MyReal value;
} Prod;

#define Prod_REQUIRED_BYTES_FOR_ENCODING       14 
#define Prod_REQUIRED_BITS_FOR_ENCODING        105
#define Prod_REQUIRED_BYTES_FOR_ACN_ENCODING   14 
#define Prod_REQUIRED_BITS_FOR_ACN_ENCODING    105
#define Prod_REQUIRED_BYTES_FOR_XER_ENCODING   98

void Prod_Initialize(Prod* pVal);
flag Prod_IsConstraintValid(const Prod* val, int* pErrCode);


 

/* ================= Encoding/Decoding function prototypes =================
 * These functions are placed at the end of the file to make sure all types
 * have been declared first, in case of parameterized ACN encodings
 * ========================================================================= */

flag MyReal_Encode(const MyReal* val, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);
flag MyReal_Decode(MyReal* pVal, BitStream* pBitStrm, int* pErrCode);
flag MyComp_Encode(const MyComp* val, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);
flag MyComp_Decode(MyComp* pVal, BitStream* pBitStrm, int* pErrCode);
flag Prod_Encode(const Prod* val, BitStream* pBitStrm, int* pErrCode, flag bCheckConstraints);
flag Prod_Decode(Prod* pVal, BitStream* pBitStrm, int* pErrCode); 


#ifdef  __cplusplus
}
#define ENUM_cA	cA
#define ENUM_cB	cB

#endif

#endif
